### Function

# Gimp palette_duplicate

#### Declaration [src]

    gchar*
    gimp_palette_duplicate (
      const gchar* name
    )

#### Description [src]

Duplicates a palette

This procedure creates an identical palette by a different name.

Available since: | 2.2

#### Parameters

`name` | `const gchar*`
| The palette name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gchar*`
| The name of the palette’s copy. The returned value must be freed with g_free().
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.